﻿
<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="">
    <meta name="author" content="">
    @* Uncomment to use the HtmlEditor control *@
    @* <script src="https://cdnjs.cloudflare.com/ajax/libs/quill/1.3.6/quill.min.js"></script> *@

    @* Uncomment to use the Gantt control *@
    @*<link href="~/css/devextreme/dx-gantt.css" rel="stylesheet" />*@

    @* Uncomment to use the Diagram control *@
    @*<link href="~/css/devextreme/dx-diagram.css" rel="stylesheet" />*@

    <link href="~/css/devextreme/bootstrap.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="~/css/util.css">
    <link href="~/css/devextreme/dx.common.css" rel="stylesheet" />

    @* Predefined themes: https://js.devexpress.com/DevExtreme/Guide/Themes_and_Styles/Predefined_Themes/ *@
    <link href="~/css/devextreme/dx.light.css" rel="stylesheet" />
    <link href="~/assets/css_mobile/covid19.css" rel="stylesheet" type="text/css" />
    <link href="~/css/covid19.css" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" type="text/css" href="~/css/util.css">
    <link rel="stylesheet" type="text/css" href="~/css/staff.css">

 

    @* Uncomment to use the Gantt control *@
    @*<script src="~/js/devextreme/dx-gantt.js"></script>*@

    @* Uncomment to use the Diagram control *@
    @*<script src="~/js/devextreme/dx-diagram.js"></script>*@

    <script src="~/js/devextreme/jquery.js"></script>
    <script src="~/js/devextreme/bootstrap.js"></script>

    <script src="~/js/devextreme/cldr.js"></script>
    <script src="~/js/devextreme/cldr/event.js"></script>
    <script src="~/js/devextreme/cldr/supplemental.js"></script>
    <script src="~/js/devextreme/cldr/unresolved.js"></script>

    <script src="~/js/devextreme/globalize.js"></script>
    <script src="~/js/devextreme/globalize/message.js"></script>
    <script src="~/js/devextreme/globalize/number.js"></script>
    <script src="~/js/devextreme/globalize/currency.js"></script>
    <script src="~/js/devextreme/globalize/date.js"></script>

    @* Uncomment to enable client-side export *@
    @*<script src="~/js/devextreme/jszip.js"></script>*@

    <script src="~/js/devextreme/dx.all.js"></script>

    @* Uncomment to provide geo-data for the VectorMap control *@
    @* Docs: https://js.devexpress.com/DevExtreme/Guide/Widgets/VectorMap/Providing_Data/#Data_for_Areas *@
    @*<script src="~/js/devextreme/vectormap-data/world.js"></script>*@

    <script src="~/js/devextreme/aspnet/dx.aspnet.mvc.js"></script>
    <script src="~/js/devextreme/aspnet/dx.aspnet.data.js"></script>

    <style type="text/css">


        .container {
            padding-right: 30px;
            padding-left: 30px;
            margin-right: auto;
            margin-left: auto;
        }

        .container, .container-sm, .container-md, .container-lg, .container-xl {
            max-width: 1840px;
        }

        .donvi .thongtin {
            display: flex;
            flex-wrap: nowrap;
            justify-content: space-between;
            align-content: center;
            font-weight: bold;
            font-size: 16px;
            background: #4eb35f;
            color: #fff;
            line-height: 19px;
        }

        #box_thongke > div:nth-child(2) .donvi .thongtin {
            background: #2a89ad;
        }

        #box_thongke > div:nth-child(3) .donvi .thongtin {
            background: #ad852a;
        }

        #box_thongke > div:nth-child(4) .donvi .thongtin {
            background: #8d2aad;
        }

        .donvi .ketqua {
            display: flex;
            justify-content: space-between;
        }

        .donvi {
            padding: 10px;
            border: 1px solid #d8d7d7;
            box-shadow: 4px 4px 12px -3px #a7a6a6;
            border-radius: 6px;
        }

        .ketqua .mui1, .ketqua .mui2 {
            width: 45%;
            text-align: center;
        }

        .ketqua i.fa {
            font-size: 28px;
        }

        .ketqua b {
            font-size: 24px;
        }

        .donvi .thongtin i {
            font-size: 25px;
        }

     
    </style>



</head>
<body>
    @{
        var sh = Convert.ToInt32(ViewData["height_screen"]);

        if (Convert.ToInt32(ViewData["height_screen"]) >= 600)
        {
            var isNBC = Convert.ToBoolean(ViewData["isNBC"]);
            if (isNBC == false)
            {
                @(Html.DevExtreme().TabPanel()
         .ID("tabpanel-container")

         .DataSource(d => d.Mvc())
         .SelectedIndex(0)
         .Loop(false)
         .AnimationEnabled(true)
         .SwipeEnabled(false)
         .ActiveStateEnabled(true)
         .FocusStateEnabled(true)
         .HoverStateEnabled(true)
         .ShowNavButtons(true)
         .OnSelectionChanged("tabPanelSelection_changed")
          .Items(items =>
          {
          items.Add()
                      .Title("01. Cập nhật số liệu tiêm vacxin")
                      .Template(@<text>

                            <partial name="~/Views/Staff/Thongketiemchung.cshtml" />
                            </text>)
                         .Icon("../../images/note.png");
          items.Add()
                   .Title("02. Thống kê tiêm chủng")
                   .Template(@<text>
                           <partial name="~/Views/Staff/Thongketiemchung_tong.cshtml" />
                            </text>)
                   .Icon("../../images/note.png"); ;
          items.Add()
                      .Title("03. Cập nhật sổ sức khỏe điện tử")
                      .Template(@<text>
                            <partial name="~/Views/Staff/StaffList.cshtml" />
                            </text>)

                      .Icon("../../images/team.png");
          items.Add()
                    .Title("04. Thống kê sổ sức khỏe điện tử")
                    .Template(@<text>
                            <h4> Đang thống kê. Vui lòng quay lại sau.</h4>
                            </text>)

                            .Icon("../../images/team.png");


              })
                 )
            }
            else
            {
                @(Html.DevExtreme().TabPanel()
         .ID("tabpanel-container")

         .DataSource(d => d.Mvc())
         .SelectedIndex(0)
         .Loop(false)
         .AnimationEnabled(true)
         .SwipeEnabled(false)
         .ActiveStateEnabled(true)
         .FocusStateEnabled(true)
         .HoverStateEnabled(true)
         .ShowNavButtons(true)
         .OnSelectionChanged("tabPanelSelection_changed")
          .Items(items =>
          {
          items.Add()
                      .Title("01. Cập nhật số liệu tiêm vacxin")
                      .Template(@<text>

                            <partial name="~/Views/Staff/Statistic.cshtml" />
                            </text>)
                         .Icon("../../images/note.png");
          items.Add()
                   .Title("02. Thống kê tiêm chủng")
                   .Template(@<text>
                           <partial name="~/Views/Staff/Thongketiemchung_tong.cshtml" />
                            </text>)
                   .Icon("../../images/note.png"); ;
          items.Add()
                      .Title("03. Cập nhật sổ sức khỏe điện tử")
                      .Template(@<text>
                            <partial name="~/Views/Staff/StaffList.cshtml" />
                            </text>)

                      .Icon("../../images/team.png");
          items.Add()
                    .Title("04. Thống kê sổ sức khỏe điện tử")
                    .Template(@<text>
                            <h4> Đang thống kê. Vui lòng quay lại sau.</h4>
                            </text>)

                            .Icon("../../images/team.png");


              })
                 )
            }
        }
        else
        {
            var isNBC = Convert.ToBoolean(ViewData["isNBC"]);
            if (isNBC == false)
            {
                @(Html.DevExtreme().TabPanel()
                             .ID("tabpanel-container")

                             .DataSource(d => d.Mvc())
                             .SelectedIndex(0)
                             .Loop(false)
                             .AnimationEnabled(true)
                             .SwipeEnabled(false)
                             .ActiveStateEnabled(true)
                             .FocusStateEnabled(true)
                             .HoverStateEnabled(true)
                             .ShowNavButtons(true)
                             .OnSelectionChanged("tabPanelSelection_changed")
                              .Items(items =>
                              {
                                    items.Add()
                                                            .Title("01. Cập nhật số liệu tiêm vacxin")
                                                            .Template(@<text>
                                                                <partial name="~/Views/Staff/Thongketiemchung.cshtml" />
                                                                </text>)
                                                               .Icon("../../images/note.png");

                                    items.Add()
                                                                .Title("02. Thống kê tiêm chủng")
                                                                .Template(@<text>
                                                                <partial name="~/Views/Staff/Thongketiemchung_tong.cshtml" />
                                                                </text>)
                                                                .Icon("../../images/note.png");

                                    items.Add()
                                                                .Title("03. Cập nhật sổ sức khỏe điện tử")
                                                                .Template(@<text>
                                                                <partial name="~/Views/Staff/StaffList_Rev.cshtml" />
                                                                </text>)
                                                                    .Badge(ViewData["height_screen"].ToString())
                                                                    .Icon("../../images/team.png");
                                            items.Add()
                                                                  .Title("04. Thống kê sổ sức khỏe điện tử")

                                                                  .Badge(ViewData["height_screen"].ToString())
                                                                  .Icon("../../images/team.png");


                                        })
                                                     )
            }
            else
            {
                @(Html.DevExtreme().TabPanel()
                             .ID("tabpanel-container")

                             .DataSource(d => d.Mvc())
                             .SelectedIndex(0)
                             .Loop(false)
                             .AnimationEnabled(true)
                             .SwipeEnabled(false)
                             .ActiveStateEnabled(true)
                             .FocusStateEnabled(true)
                             .HoverStateEnabled(true)
                             .ShowNavButtons(true)
                             .OnSelectionChanged("tabPanelSelection_changed")
                              .Items(items =>
                              {
                                    items.Add()
                                                            .Title("01. Cập nhật số liệu tiêm vacxin")
                                                            .Template(@<text>
                                                                <partial name="~/Views/Staff/Statistic.cshtml" />
                                                                </text>)
                                                               .Icon("../../images/note.png");

                                    items.Add()
                                                                .Title("02. Thống kê tiêm chủng")
                                                                .Template(@<text>
                                                                <partial name="~/Views/Staff/Thongketiemchung_tong.cshtml" />
                                                                </text>)
                                                                .Icon("../../images/note.png");

                                    items.Add()
                                                                .Title("03. Cập nhật sổ sức khỏe điện tử")
                                                                .Template(@<text>
                                                                <partial name="~/Views/Staff/StaffList_Rev.cshtml" />
                                                                </text>)
                                                                    .Badge(ViewData["height_screen"].ToString())
                                                                    .Icon("../../images/team.png");
                                            items.Add()
                                                                  .Title("04. Thống kê sổ sức khỏe điện tử")

                                                                  .Badge(ViewData["height_screen"].ToString())
                                                                  .Icon("../../images/team.png");


                                        })
                                                     )
            }
        }
    }
    }





    <script>

        function checkHeigh() {
            return screen.height <= 414;
        }


        function tabPanelSelection_changed(e) {
            switch (e.component.option("selectedIndex")) {
                case 0:

                    break;
            }
        }

        function getTabPanelInstance() {
            return $("#tabpanel-container").dxTabPanel("instance");
        }

        function loopEnabled(e) {
            getTabPanelInstance().option("loop", e.value);
        }

        function animationEnabled(e) {
            getTabPanelInstance().option("animationEnabled", e.value);
        }

        function swipeEnabled(e) {
            getTabPanelInstance().option("swipeEnabled", e.value);
        }

    </script>

    <script>
        var CurrId = 0;
        function headerCellTemplate(header, info) {
            $("<div>").html(info.column.caption.replace(/\r\n/g, "<br/>"))
                .css('font-size', '12px')
                .css('text-align', 'center')
                .appendTo(header);
            header.parent().css("backgroundColor", "#ccffff").css("font-weight", "bold");

        }

        function addIdParameter(e) {

            alert(CurrId.g);
            this.uploadUrl = this.updateQueryStringParameter(this.uploadUrl, "id", CurrId);
            e.component.option("uploadUrl", this.uploadUrl);
        }
        function addOfficeParameter(e) {
            if (e.value !== e.previousValue) {
                this.uploadUrl = this.updateQueryStringParameter(this.uploadUrl, "office", e.value);
            }
        }
        function updateQueryStringParameter(uri, key, value) {
            var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
            var separator = uri.indexOf('?') !== -1 ? "&" : "?";
            if (uri.match(re)) {
                return uri.replace(re, '$1' + key + "=" + value + '$2');
            }
            else {
                return uri + separator + key + "=" + value;
            }
        }


    </script>
    <script>
        var dataGrid;
        function onDataGridInitialized(e) {
            dataGrid = e.component;
        }

        function onFocusedRowChanging(e) {
            var rowsCount = e.component.getVisibleRows().length,
                pageCount = e.component.pageCount(),
                pageIndex = e.component.pageIndex(),
                key = e.event && e.event.key;

            if (key && e.prevRowIndex === e.newRowIndex) {
                if (e.newRowIndex === rowsCount - 1 && pageIndex < pageCount - 1) {
                    e.component.pageIndex(pageIndex + 1).done(function () {
                        e.component.option("focusedRowIndex", 0);
                    });
                } else if (e.newRowIndex === 0 && pageIndex > 0) {
                    e.component.pageIndex(pageIndex - 1).done(function () {
                        e.component.option("focusedRowIndex", rowsCount - 1);
                    });
                }
            }
        }

        function onFocusedRowChanged(e) {
            const rowData = e.row && e.row.data;

        }

        function getCookie(name) {
            var value = "; " + document.cookie;
            var parts = value.split("; " + name + "=");
            if (parts.length == 2) return parts.pop().split(";").shift();
        }
        var height_screen = screen.width;
        document.cookie = "height_screen=" + height_screen;
        //console.log(height_screen);
        //console.log(getCookie("height_screen"));
        if (getCookie("height_screen") != null && parseInt(getCookie("height_screen")) > 0) {
        } else {
            window.location.reload();
        }
    </script>


</body>
</html>